<script setup lang="ts">
import { ref ,reactive, watch} from 'vue'

const count = ref(0)

function increment() {
  count.value++
}

const myClass = reactive({
    red: true,
    bold: true,
    underline: true
})

watch(count, function(newCount,oldCount) {
  console.log(`Count Change ${oldCount} -> ${newCount}`)
})

</script>

<template>
  <button @click="increment()" v-bind:class="myClass">count is: {{ count }}</button> <br />
  <pre>{{ myClass }}</pre>
  <br />
  <button @click="myClass.red = !myClass.red">red</button> 
  <button @click="myClass.bold = !myClass.bold">bold</button> 
  <button @click="myClass.underline = !myClass.underline">underline</button>
</template>

<style scoped>
.red{
    color: red;
}

.bold{
    font-weight: bold;
}

.underline{
    text-decoration: underline;
}
</style>